# vim: set sw=4 ts=4 et nu:

Name:           perl-Gtk2-TrayIcon
Version:        0.06
Release:        2.3
Summary:        Perl interface to the EggTrayIcon library
Source:         http://search.cpan.org/CPAN/authors/id/B/BO/BORUP/Gtk2-TrayIcon-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Gtk2-TrayIcon
Group:          Development/Libraries/Perl
License:        Perl License
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
%{perl_requires}
#BuildRequires:  perl-macros
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Gtk2) >= 0.96
BuildRequires:  gtk2-devel
BuildRequires:  pkgconfig
BuildRequires:  gcc
Requires:       perl(Gtk2) >= 0.96

%description
This module allows a Perl developer to embed an arbitrary widget in a System
Tray like the Gnome notification area.

%prep
%setup -q -n "Gtk2-TrayIcon-%{version}"
%__sed -i '/^auto_install/d' Makefile.PL

%build
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install

%__rm -rf "%{buildroot}%{perl_vendorarch}/Gtk2/TrayIcon/Install"

%perl_process_packlist

%check
%__make test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc TODO README
%dir %{perl_vendorarch}/Gtk2
%{perl_vendorarch}/Gtk2/TrayIcon.pm
%dir %{perl_vendorarch}/auto/Gtk2
%{perl_vendorarch}/auto/Gtk2/TrayIcon
%doc %{perl_man3dir}/Gtk2::TrayIcon.%{perl_man3ext}%{ext_man}

%changelog
* Tue Mar 15 2011 pascal.bleser@opensuse.org
- initial version (0.06)
